=== debian/changelog ===
ros-kinetic-canopen-master (0.7.13-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 21 Aug 2020 22:00:00 -0000

ros-kinetic-canopen-master (0.7.12-1xenial) xenial; urgency=high

  * added support for SYNC counter in SimpleSyncLayer (#349 <https://github.com/ipa-mdl/ros_canopen/issues/349>)
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 03 Nov 2019 23:00:00 -0000

ros-kinetic-canopen-master (0.7.11-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sat, 13 Jul 2019 22:00:00 -0000

ros-kinetic-canopen-master (0.7.10-1xenial) xenial; urgency=high

  * require minimum version of class_loader and pluginlib
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 17 Mar 2019 23:00:00 -0000

ros-kinetic-canopen-master (0.7.9-1xenial) xenial; urgency=high

  * provided KeyHash
    for use with unordered containers
  * added c_array access functons to can::Frame
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 22 May 2018 22:00:00 -0000

ros-kinetic-canopen-master (0.7.8-1xenial) xenial; urgency=high

  * Revert "pull make_shared into namespaces"
    This reverts commit 9b2cd05df76d223647ca81917d289ca6330cdee6.
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 03 May 2018 22:00:00 -0000

ros-kinetic-canopen-master (0.7.7-1xenial) xenial; urgency=high

  * added types for all function objects
  * pull make_shared into namespaces
  * added types for all shared_ptrs
  * migrate to new classloader headers
  * throw bad_cast if datatype is not supported
  * special handling of std::bad_cast
  * address catkin_lint errors/warnings
  * removed IPC/SHM based sync masters
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 03 May 2018 22:00:00 -0000

ros-kinetic-canopen-master (0.7.6-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 29 Aug 2017 22:00:00 -0000

ros-kinetic-canopen-master (0.7.5-1xenial) xenial; urgency=high

  * added EMCYHandler::resetErrors
  * added VectorHelper::callFunc
    generalized call templates
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 28 May 2017 22:00:00 -0000

ros-kinetic-canopen-master (0.7.4-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 24 Apr 2017 22:00:00 -0000

ros-kinetic-canopen-master (0.7.3-1xenial) xenial; urgency=high

  * enforce boost::chrono-based timer
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 24 Apr 2017 22:00:00 -0000

ros-kinetic-canopen-master (0.7.2-1xenial) xenial; urgency=high

  * fix: handle EMCY as error, not as warning
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 27 Mar 2017 22:00:00 -0000

ros-kinetic-canopen-master (0.7.1-1xenial) xenial; urgency=high

  * refactored EMCY handling into separate layer
  * print EMCY to stdout
  * send node start on recover
    needed for external sync to work properly
  * pass halt on error unconditionally
  * added canopen_bcm_sync
  * implemented ExternalMaster
  * added object access services
  * implemented ObjectStorage::getStringReader
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 19 Mar 2017 23:00:00 -0000

ros-kinetic-canopen-master (0.7.0-1xenial) xenial; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 12 Dec 2016 23:00:00 -0000

ros-kinetic-canopen-master (0.6.5-1xenial) xenial; urgency=high

  * Merge pull request #179 <https://github.com/ipa-mdl/ros_canopen/issues/179> from ipa-mdl/mixed_case_access
    support mixed-case access strings in EDS
  * decouple listener initialization from 1003 binding
  * introduced THROW_WITH_KEY and ObjectDict::key_info
  * added access type tests
  * convert access string to lowercase
  * Do not remove shared memory automatically
  * hardened code with the help of cppcheck
  * throw verbose exception if AccessType is missing (#64 <https://github.com/ipa-mdl/ros_canopen/issues/64>)
  * styled and sorted CMakeLists.txt
    * removed boilerplate comments
    * indention
    * reviewed exported dependencies
  * styled and sorted package.xml
  * canopen_master needs to depend on rosunit for gtest
  * update package URLs
  * fixed typo
  * do not reset PDO COB-ID if it is not writable
  * Do not recurse into sub-objects, handle them as simple data
  * strip string before searching for $NODEID
  * added NodeID/hex parser test
  * do full recover if if driver is not ready
  * wait for driver to be shutdown in run()
  * limit SDO reader to size of 1
  * do not send abort twice
  * removed unnecessary sleep (added for tests only)
  * catch all std exceptions in layer handlers
  * migrated SDOClient to BufferedReader
  * getter for LayerState
  * fixed lost wake-up condition, unified SDO accessors
  * minor NMT improvements
  * removed cond from PDOMapper, it does not wait on empty buffer anymore
  * Simple master counts nodes as well
  * throw exception on read from empty buffer
  * proper initialisation of PDO data from SDOs
  * change sync subscription only on change
  * shutdown and restart CAN layer on recover
  * canopen::Exception is now based on std::runtime_error
  * Merge pull request #109 <https://github.com/ipa-mdl/ros_canopen/issues/109> from ipa-mdl/shutdown-crashes
    Fix for pluginlib-related crashes on shutdown
  * stop after heartbeat was disabled, do not wait for state switch
  * added virtual destructor to SyncCounter
  * Use getHeartbeatInterval()
  * minor shutdown improvements
  * removed unstable StateWaiter::wait_for
  * Revert change to handleShutdown
  * Heartbeat interval is uint16, not double

