=== debian/control ===
Source: ros-kinetic-canopen-master
Section: misc
Priority: optional
Maintainer: Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-kinetic-catkin, ros-kinetic-class-loader (>= 0.3.9), ros-kinetic-rosunit, ros-kinetic-socketcan-interface
Homepage: http://wiki.ros.org/canopen_master
Standards-Version: 3.9.2

Package: ros-kinetic-canopen-master
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-kinetic-class-loader (>= 0.3.9), ros-kinetic-socketcan-interface
Description: CiA(r) CANopen 301 master implementation with support for interprocess master synchronisation.
